AlertConditionsSatisfiedZEventPayload (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.AlertConditionsSatisfiedZEventPayload class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class AlertConditionsSatisfiedZEventPayload

    java.lang.Object
      org.hyperic.hq.measurement.server.session.AlertConditionsSatisfiedZEventPayload

All Implemented Interfaces:
  ZeventPayload

    public class AlertConditionsSatisfiedZEventPayload

extends java.lang.Object
implements ZeventPayload

Payload of the AlertConditionsSatisfiedZEvent

Constructor Summary
`AlertConditionsSatisfiedZEventPayload(TriggerFiredEvent[] triggerFiredEvents)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getMessage()`
`long` | `getTimestamp()`
`TriggerFiredEvent[]` | `getTriggerFiredEvents()`
`int` | `hashCode()`
`void` | `setMessage(java.lang.String message)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlertConditionsSatisfiedZEventPayload

    public AlertConditionsSatisfiedZEventPayload(TriggerFiredEvent[] triggerFiredEvents)

Parameters:
  `triggerFiredEvents` - The events satisfying the alert conditions

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getMessage

    public java.lang.String getMessage()

  Returns:
    The event message

### getTimestamp

    public long getTimestamp()

  Returns:
    The event timestamp - the most recent timestamp of the underlying `TriggerFiredEvent`s

### getTriggerFiredEvents

    public TriggerFiredEvent[] getTriggerFiredEvents()

  Returns:
    The events satisfying the alert conditions

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### setMessage

    public void setMessage(java.lang.String message)

  Parameters:
    `message` - The message associated with this event

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.